/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.jakubholy.jeeutils.jsfelcheck.beanfinder;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

/**
 * Wrapper around a file input that returns its name in its toString.
 */
public class NamedInputStream extends FileInputStream {

    private final String name;

    /** Quick temporary hack to support Spring's imported subcontexts on relative paths */
    private final File file;

    public NamedInputStream(File file) throws FileNotFoundException {
        super(file);
        this.file = file;
        this.name = file.getAbsolutePath();
    }

    @Override
    public String toString() {
        return name;
    }

    /** Quick temporary hack to support Spring's imported subcontexts on relative paths */
    public File getFile() {
        return file;
    }
}
